Description: Restore old poetry backend
 Newer version of poetry config cause failed to build
 in build env. This patch restores the older backend
 version to fix it.
 netexec (1.1.1-0parrot1) stable; urgency=medium
 .
   * Update to 10/05/2024 to add patches
Author: Nong Hoang Tu <dmknght@parrotsec.org>

---
The information above should follow the Patch Tagging Guidelines, please
checkout https://dep.debian.net/deps/dep3/ to learn about the format. Here
are templates for supplementary fields that you might want to add:

Origin: (upstream|backport|vendor|other), (<patch-url>|commit:<commit-id>)
Bug: <upstream-bugtracker-url>
Bug-Debian: https://bugs.debian.org/<bugnumber>
Bug-Ubuntu: https://launchpad.net/bugs/<bugnumber>
Forwarded: (no|not-needed|<patch-forwarded-url>)
Applied-Upstream: <version>, (<commit-url>|commit:<commid-id>)
Reviewed-By: <name and email of someone who approved/reviewed the patch>
Last-Update: 2024-05-21

--- netexec-1.1.1.orig/pyproject.toml
+++ netexec-1.1.1/pyproject.toml
@@ -74,12 +74,7 @@ ruff = "=0.0.292"
 
 [build-system]
 requires = ["poetry-core>=1.2.0", "poetry-dynamic-versioning>=1.0.0,<2.0.0"]
-build-backend = "poetry_dynamic_versioning.backend"
-
-[tool.poetry-dynamic-versioning]
-enable = true
-pattern = "(?P<base>\\d+\\.\\d+\\.\\d+)"
-format = "{base}+{commit}"
+build-backend = "poetry.core.masonry.api"
 
 [tool.ruff]
 # Ruff doesn't enable pycodestyle warnings (`W`) or
